import Layout from '~src/layout/index.vue'

//路由菜单系统内置页面配置
export default [
    {
        path: '/',
        redirect: '/home/index',
    },
    {
        path: '/login',
        name: 'login',
        meta: { title: '登录' },
        component: () => import('~src/views/login/index.vue'),
    },
    {
        path: '/auth',
        name: 'auth',
        meta: { title: '授权登录' },
        component: () => import('~src/views/user/auth.vue'),
    },
    {
        path: '/home',
        name: 'home',
        redirect: '/home/index',
        meta: { title: '首页' },
        component: Layout,
        children: [
            {
                path: '/home/index',
                name: 'home-index',
                meta: { title: '首页' },
                component: () => import('~src/views/home/index.vue'),
            },
            {
                path: '/home/config',
                name: 'home-config',
                meta: { title: '系统设置' },
                component: () => import('~src/views/home/config.vue'),
            },
        ],
    },
    {
        path: '/tasks',
        name: 'tasks',
        redirect: '/tasks/data',
        meta: { title: '任务管理' },
        component: Layout,
        children: [
            {
                path: '/tasks/hc-data',
                name: 'tasks-data',
                meta: { title: '任务查看' },
                component: () => import('~src/views/tasks/hc-data.vue'),
            },
            {
                path: '/tasks/flow',
                name: 'tasks-flow',
                meta: { title: '任务流程设置' },
                component: () => import('~src/views/tasks/flow.vue'),
            },
            {
                path: '/tasks/message',
                name: 'tasks-message',
                meta: { title: '消息提醒' },
                component: () => import('~src/views/tasks/message.vue'),
            },
        ],
    },
    {
        path: '/user',
        name: 'user',
        redirect: '/user/index',
        meta: { title: '个人中心' },
        component: Layout,
        children: [
            {
                path: '/user/index',
                name: 'user-index',
                meta: { title: '个人中心' },
                component: () => import('~src/views/user/index.vue'),
            },
        ],
    },
    {
        path: '/403',
        name: '403',
        meta: { title: '403' },
        component: () => import('~src/views/error/403.vue'),
    },
    {
        path: '/404',
        name: '404',
        meta: { title: '404' },
        component: () => import('~src/views/error/404.vue'),
    },
    {
        path: '/500',
        name: '500',
        meta: { title: '500' },
        component: () => import('~src/views/error/500.vue'),
    },
    {
        path: '/:path(.*)*',
        redirect: '/404',
    },
]
